Home

Run Get Method

POST
https://ton-index.nownodes.io/api/v3/runGetMethod

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Run get method of smart contract. Stack supports only num, cell and slice types:

Copied!
[
    {
        "type": "num",
        "value": "0x12a"
    },
    {
        "type": "cell",
        "value": "te6..." // base64 encoded boc with cell
    },
    {
        "type": "slice",
        "value": "te6..." // base64 encoded boc with slice
    }
]

Body

application/json

RunGetMethod request body

any

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error